<?php

namespace NoccyLabs\CssLike;

/**
 * 
 * 
 */
class Selector
{
    /** @var array The rules for this selector */
    protected $selectors = [];

    /**
     * Create a new selector
     *
     * @param string $selector The selector string
     */
    public function __construct($selector)
    {
        $this->selectors = explode(" ",$selector);
    }

    /**
     * Test to see if a rule matches the selectors.
     *
     * @return string
     */
    public function matches($string)
    {
        return in_array($string, $this->selectors);
    }
}

